import java.rmi.*;

public interface CallBack extends Remote {
  /** Serwer powiadamia klienta o jego ruchu */
  public void takeTurn(boolean turn) throws RemoteException;

  // Serwer przesyła komunikat wyświetlany przez klienta */
  public void notify(java.lang.String message)
    throws RemoteException;

  /** Serwer powiadamia klienta o ruchu przeciwnika */
  public void mark(int row, int column, char token)
    throws RemoteException;
}
